This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 3.281. __nv_sqrt

Prototype:

    double @__nv_sqrt(double %x)

Description:

Calculate the nonnegative square root of `x`, x .

Returns:

Returns x .

- __nv_sqrt( ± 0 ) returns ± 0 .

- __nv_sqrt( + ∞ ) returns + ∞ .

- __nv_sqrt(`x`) returns NaN if `x` is less than 0.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes